Threads
Concurrency
Collaboration diagram for Threads:

## Namespaces

namespace | std::this_thread

## Classes

struct | std::hash< thread::id >
class | std::thread

## Functions

bool | operator== (thread::id __x, thread::id __y) noexcept
void | swap (thread &__x, thread &__y) noexcept
strong_ordering | operator<=> (thread::id __x, thread::id __y) noexcept
template<class _CharT, class _Traits>
basic_ostream< _CharT, _Traits > & | operator<< (basic_ostream< _CharT, _Traits > &__out, thread::id __id)

## Detailed Description

Since
  C++11

Classes for thread support.

## Function Documentation

## operator<<()

template<class _CharT, class _Traits>

basic_ostream< _CharT, _Traits > & operator<< | ( | basic_ostream< _CharT, _Traits > & | __out,
|  | thread::id | __id )

related

Definition at line 76 of file thread.

## operator<=>()

strong_ordering operator<=> | ( | thread::id | __x,
|  | thread::id | __y )

related

Definition at line 76 of file thread.

## operator==()

bool operator== | ( | thread::id | __x,
|  | thread::id | __y )

related

Definition at line 335 of file std_thread.h.

## swap()

void swap | ( | thread & | __x,
|  | thread & | __y )

related

Definition at line 330 of file std_thread.h.